Page MenuHomePhabricator

Inspector titles clipped in VisualEditor on mobile
Closed, ResolvedPublic1 Estimated Story Points

Description

This is caused by MobileFrontend setting box-sizing: border-box on every element.

Event Timeline

Esanders created this task.Dec 20 2014, 9:55 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders changed Security from none to None.
Esanders added a subscriber: Esanders.

Every element? So... Fix MobileFrontend?

Change 180775 had a related patch set uploaded (by Esanders):
Remove border-box rule from reset.less

https://gerrit.wikimedia.org/r/180775

Patch-For-Review

Jdforrester-WMF renamed this task from Inspector titles clipped in VE on mobile to Inspector titles clipped in VisualEditor on mobile.Jan 5 2015, 12:11 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

@Jdlrobson, @Esanders: What's the status on this? If Ed's change isn't going to be merged, we should at least fix this specific bug.

kaldari moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.Jan 7 2015, 6:49 PM

I think my fix is the only sensible way to fix the bug. I'm happy with the patch in its current state, but ideally I'd like someone from mobile to give it a test.

Change 183987 had a related patch set uploaded (by Jdlrobson):
Turn off universal box-sizing in alpha

https://gerrit.wikimedia.org/r/183987

Patch-For-Review

Change 183987 merged by jenkins-bot:
Turn off universal box-sizing in alpha

https://gerrit.wikimedia.org/r/183987

Change 180775 abandoned by Jdlrobson:
Remove border-box rule from reset.less

Reason:
https://gerrit.wikimedia.org/r/183987 is merged now so removing this from the review backlog. We can always restore it later depending on the outcome of that patch. Thanks for your patience.

https://gerrit.wikimedia.org/r/180775

So I tried VE on mobile using the latest MobileFrontend master with "Experimental" (alpha) enabled. It looks to me like it's still getting clipped because of that height: @icon-size on .oo-ui-processDialog-location?

Yes. We're waiting for the stalled patch in Mobile to be merged.

Belay that. now that T86366 is fixed, this is fixed too in master. Thanks!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 7 2018, 1:20 AM